/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_striter.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: mmeisson <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2015/11/23 11:02:44 by mmeisson          #+#    #+#             */
/*   Updated: 2015/11/29 16:15:46 by mmeisson         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

void	ft_striter(char *str, void (*f)(char*))
{
	while (str && *str && f)
		(*f)(str++);
}
